## cascading.operation
Interface Filter<C>

All Superinterfaces:
  Operation<C>

All Known Implementing Classes:
  And, Counter, Debug, ExpressionFilter, FilterNotNull, FilterNull, Limit, Logic, Not, Or, RegexFilter, Sample, Status, Unique.FilterPartialDuplicates, Xor, XPathFilter

    public interface Filter<C>

extends Operation<C>

Interface Filter marks a given `Operation` as a filter, as opposed to being a `Function`.

Field Summary

Fields inherited from interface cascading.operation.Operation
`ANY`

Method Summary
`boolean` `isRemove(FlowProcess flowProcess, FilterCall<C> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

Methods inherited from interface cascading.operation.Operation
`cleanup, getFieldDeclaration, getNumArgs, isSafe, prepare`

Method Detail

### isRemove

    boolean isRemove(FlowProcess flowProcess,
                     FilterCall<C> filterCall)

  Method isRemove returns true if input should be removed from the tuple stream.

  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.